Bug 964591 - Allow more than 32k components
Allow more than 32k components
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Database (Show other bugs)
4.4
Unspecified Unspecified
unspecified Severity unspecified (vote)
: ---
: ---
Assigned To: Simon Green
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-19 01:37 EDT by Simon Green
Modified: 2014-10-12 18:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.4.0009
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-03 20:45:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Mozilla Foundation 903895 None None None Never

  None (edit)
Description Simon Green 2013-05-19 01:37:41 EDT
Upstream Bugzilla currently make the component.id value and its foreign keys as MEDIUMINT (which allows values up to 32767), while our Bugzilla is type INT (up to 8M components!). While we have this as a customisation, it will be good for us to send it upstream.

It also means that newly created database (from checksetup.pl) work correctly.

  -- simon
Comment 4 Simon Green 2013-10-03 20:45:58 EDT
This change is now live. If there are any issues, do not reopen this bug.
Instead, you should create a new bug and reference this bug.

  -- simon

Note You need to log in before you can comment on or make changes to this bug.